# Command line: ImageMagick

Date: 2021-05-09 19:55:50 +08:00Date modified: 2021-07-20 23:31:03 +08:00

The swiss army knife for picture manipulation in the command line. For future reference, this mainly use v7 which has Git-style interface (which is way better, IMO).

# Synopsis

    magick [subcommand [subcommand_options...]]

# Subcommands

- `convert` - resize images, convert between formats, apply filter effects

- `identify` - print information on the image

- `mogrify` - similar to `convert` except modifies the original file

# Examples

A comprehensive tool calls for a comprehensive introduction.

## Resize an image by half

    magick resize $INPUT -resize 50% $OUTPUT

You can find out various geometry options from the documentation.

## Print the information

    magick identify $INPUT

## Use ImageMagick as a color picker

You can use any tool that can pipe an image to other tools.

    maim --select --shader crosshair --tolerance 0 --hidecursor | magick convert - -resize 1x1\! -format '%[hex:p{0,0}]' info:-